package org.teiid.designer.examples;

/**
 *
 */
public class NameBuilder {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		System.out.println(buildName("Joe", "T", "Peterson")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
		
		System.out.println(buildName("Joe", "T.", "Peterson")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
		
		System.out.println(buildName("Joe", null, "Peterson")); //$NON-NLS-1$ //$NON-NLS-2$
		
		System.out.println(buildName("Ron", "Paul", "Jones")); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$

	}
	
	/**
	 * Simple method for concatinating first, middle and last name into a full name.
	 * If middle name is initial, add a '.'
	 * 
	 * @param first the first name
	 * @param middle the middle name
	 * @param last the last name
	 * @return the full name
	 */
	public static String buildName(String first, String middle, String last) {
		StringBuilder sb = new StringBuilder();
		
		if( first != null ) {
			sb.append(first);
		}
		if( middle != null ) {
			sb.append(" ").append(middle); //$NON-NLS-1$
			if( middle.length() == 1 ) {
				sb.append('.');
			}
		}
		
		if( last != null ) {
			sb.append(" ").append(last); //$NON-NLS-1$
		}
		
		return sb.toString();
	}

}
